MacDrawProParserInternal::Library Struct Reference

## Public Member Functions

| Library (int id=-1)
| constructor

## Public Attributes

int | m_id
| the library id
std::vector< int > | m_layerList
| the list of layer id
MWAWBox2f | m_box
| the bounding box (if computed)
librevenge::RVNGString | m_name
| the library name

## Constructor & Destructor Documentation

## Library()

MacDrawProParserInternal::Library::Library | ( | int | id = -1 | ) |

inline explicit

constructor

## Member Data Documentation

## m_box

MWAWBox2f MacDrawProParserInternal::Library::m_box

the bounding box (if computed)

Referenced by Library().

## m_id

int MacDrawProParserInternal::Library::m_id

the library id

Referenced by Library(), and MacDrawProParser::send().

## m_layerList

std::vector<int> MacDrawProParserInternal::Library::m_layerList

the list of layer id

Referenced by MacDrawProParser::computeLayersAndLibrariesBoundingBox(), Library(), and MacDrawProParser::send().

## m_name

librevenge::RVNGString MacDrawProParserInternal::Library::m_name

the library name

Referenced by Library().

The documentation for this struct was generated from the following file:

- MacDrawProParser.cxx